<header class="bg-white shadow">
  <div class="w-full px-2 sm:px-4 lg:divide-y lg:divide-gray-200 lg:px-8">
    <div class="relative h-16 flex justify-between">
      <div class="relative z-0 flex-1 px-2 flex items-center justify-center sm:absolute sm:inset-0">
        <app-searchbar></app-searchbar>
      </div>
      <div class="relative z-10 flex items-center lg:hidden">
        <!-- Mobile menu button -->
        <button (click)="toggleMenu()" type="button" class="rounded-md p-2 inline-flex items-center justify-center text-gray-400 hover:bg-gray-100 hover:text-gray-500 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-indigo-500" aria-controls="mobile-menu" aria-expanded="false">
          <span class="sr-only">Open menu</span>
          <svg class="block h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
          </svg>
          <svg class="hidden h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
          </svg>
        </button>
      </div>
    </div>
    <nav class="hidden lg:py-2 lg:flex lg:space-x-8" aria-label="Global">
      <!-- Current: "bg-gray-100 text-gray-900", Default: "text-gray-900 hover:bg-gray-50 hover:text-gray-900" -->
      <a *ngFor="let tab of tabs; let index = index;" [routerLink]="tab.link" (click)="changeTab(index)" [ngClass]="current_tab === tab.name ? 'bg-gray-100' : 'hover:bg-gray-50 hover:text-gray-900 '" class="text-gray-900 rounded-md py-2 px-3 inline-flex items-center text-sm font-medium capitalize" aria-current="page">
        {{ tab.name }}
      </a>
    </nav>
  </div>

  <!-- Mobile menu, show/hide based on menu state. -->
  <nav *ngIf="expandedMenu" class="lg:hidden" aria-label="Global" id="mobile-menu">
    <div class="pt-2 pb-3 px-2 space-y-1">
      <a
      *ngFor="let tab of tabs; let index = index;"
      [routerLink]="tab.link" (click)="changeTab(index)"
      [ngClass]="current_tab === tab.name ? 'bg-gray-100' : 'hover:bg-gray-50 hover:text-gray-900'"
      class="text-gray-900 block rounded-md py-2 px-3 text-base font-medium capitalize"
      aria-current="page"
      >
        {{ tab.name }}
      </a>
    </div>
  </nav>
</header>
